PKCS_DigestDecoration< H > Class Template Reference

PKCS #1 decoration data structure. More...

`#include <pkcspad.h>`

## Public Member Functions

const byte | decoration []
const unsigned int | length
const byte | decoration []
const unsigned int | length
const byte | decoration []
const unsigned int | length
const byte | decoration []
const unsigned int | length

## Static Public Attributes

static const byte | decoration []
static const unsigned int | length

## Detailed Description

template<class H>
class PKCS_DigestDecoration< H >

PKCS #1 decoration data structure.

Definition at line 34 of file pkcspad.h.

## Member Function Documentation

## decoration() [1/4]

const byte PKCS_DigestDecoration< Weak::MD2 >::decoration

Definition at line 17 of file pkcspad.cpp.

## length() [1/4]

const unsigned int PKCS_DigestDecoration< Weak::MD2 >::length

Definition at line 18 of file pkcspad.cpp.

## decoration() [2/4]

const byte PKCS_DigestDecoration< Weak::MD5 >::decoration

Definition at line 20 of file pkcspad.cpp.

## length() [2/4]

const unsigned int PKCS_DigestDecoration< Weak::MD5 >::length

Definition at line 21 of file pkcspad.cpp.

## decoration() [3/4]

const byte PKCS_DigestDecoration< RIPEMD160 >::decoration

Definition at line 23 of file pkcspad.cpp.

## length() [3/4]

const unsigned int PKCS_DigestDecoration< RIPEMD160 >::length

Definition at line 24 of file pkcspad.cpp.

## decoration() [4/4]

const byte PKCS_DigestDecoration< Tiger >::decoration

Definition at line 26 of file pkcspad.cpp.

## length() [4/4]

const unsigned int PKCS_DigestDecoration< Tiger >::length

Definition at line 27 of file pkcspad.cpp.

## Member Data Documentation

## decoration

template<class H >

const byte PKCS_DigestDecoration< H >::decoration[]

static

Definition at line 37 of file pkcspad.h.

## length

template<class H >

const unsigned int PKCS_DigestDecoration< H >::length

static

Definition at line 38 of file pkcspad.h.

The documentation for this class was generated from the following file:

- pkcspad.h